[data-component="survey-reply"] section.survey-question-container {
    overflow-x: auto;
}

[data-component="survey-reply"] section.question-comment-container {
    clear: both;
}
[data-component="survey-reply"] section.question-comment-container .comment-form {
    padding-right:3rem;
}

.propositions_info_label,
[data-component="survey-reply"] span.select-for-all-label {
    vertical-align: top;
    display:inline-block;
    font-weight:bold;
    font-style: italic;
    font-size: 0.85rem;
}

.propositions_info_label {
    margin-left: 1rem;
}

.propositions_info_label .maybe-answer-disabled-label-maybe {
    background-color: #FFC107;
}

[data-component="survey-reply"] table.answer-table tr.your_choice{
    background-color: transparent;
}

[data-component="survey-reply"] table.answer-table tr td .label-for-small {
    display: block;
    border:1px solid #6b79b8;
    color:#6b79b8;
    font-weight:bold;
    padding: 0.5rem;
    margin-bottom: 0.8rem;
}

[data-component="survey-reply"] .show-results-for-small .button {
    margin-top: 0.5rem;
}

[data-component="survey-reply"] .show-results-for-small.button-group,
[data-component="survey-reply"] table.answer-table tr td .button-group {
    display: block;
    margin-bottom: 0;
}
[data-component="survey-reply"] table.answer-table tr td .button-group label.button {
    margin-left:auto!important;
    margin-right: auto!important;
    margin-bottom: 0.45rem !important;
    max-width: 4.5rem;
    font-size: 0.85rem;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    border: 1px solid #FFFFFF00;
    padding: 0.75em 0.1em 0.55em!important;
}
[data-component="survey-reply"] .button.success,
[data-component="survey-reply"] .button.success:focus {
    background-color: #84C33F;
}
[data-component="survey-reply"] .button.hollow.success {
    border: 1px solid #84C33F !important;
    color: #84C33F;
}
[data-component="survey-reply"] .button.alert,
[data-component="survey-reply"] .button.alert:focus {
    background-color: #FF5D38;
}
[data-component="survey-reply"] .button.hollow.alert {
    border: 1px solid #FF5D38 !important;
    color: #FF5D38;
}
[data-component="survey-reply"] .button.warning,
[data-component="survey-reply"] .button.warning:focus {
    background-color: #FFC107;
}

[data-component="survey-reply"] .button.hollow.warning {
    border: 1px solid #FFC107 !important;
    color: #FFC107;
}

[data-component="survey-reply"] .button.hollow{
    background-color: transparent;
}

[data-component="survey-reply"] .button.hollow,
[data-component="survey-reply"] .button.hollow:hover {
    background-color: #fff;
}

[data-component="survey-reply"] .button.hollow.success:hover {
    border-color: #2f5212 !important;
    color: #2f5212;
}

[data-component="survey-reply"] .button.hollow.warning:hover {
    border-color: #805700 !important;
    color: #805700;
}

[data-component="survey-reply"] .button.hollow.alert:hover {
    border-color: #63080a !important;
    color: #63080a;
}

[data-component="survey-reply"] table.answer-table .button:focus {
    color: #fff;
}

/* In focus state we "hide" the before */
[data-component="survey-reply"] table.answer-table .button:focus:before {
    clip-path: circle(0% at 50% 50%);
}

[data-component="survey-reply"] table.answer-table tr td .button-group label.button:last-child {
    margin-bottom: 0 !important;
}
[data-component="survey-reply"] table.answer-table tfoot {
    background-color: transparent;
}

.survey-question.question-type .button.tiny {
    border-radius: 5px;
    width: 3.5rem;
    padding: 0.5rem 0.1rem!important;
}

#header-fixed thead tr th.long-text,
[data-component^="survey-"] thead tr th.long-text{
    min-width: 15rem;
    white-space: normal;
}
[data-component="survey-reply"] table[data-form="question-form-reply"] tr.your_choice td.proposition {
    cursor: pointer;
}

[data-component="survey-reply"] table[data-form="question-form-reply"] tr.your_choice td {
    vertical-align: top;
}

[data-component="survey-reply"]  td.proposition label {
    border-radius: 3px;
    margin-bottom: 2px;
    display: block;
}

[data-component="survey-reply"] .uneditable {
    cursor: not-allowed;
}

[data-component="survey-reply"] [data-form="replier"] {
    width: 100%;
    max-width: 100%;
}

[data-component="survey-reply"] .show-results-container {
    margin-top: 0.6rem;
}

#participant_already_exists [name="recovery_code"] {
    width: 12rem;
    font-size: 1rem;
    margin-left: auto;
    margin-right: auto;
    margin-top: 1.5rem;
    font-family: monospace;
}
[data-action="send_recovery_code"] {
    display: inline-block;
    margin: 0.5rem 0;
    color: #64489e;
    text-decoration: underline;
    line-height:4rem;
}
.button[data-action="send_answers_with_recovery_code"].disabled {
    color: #fff;
    opacity:1;
}

[data-component^="survey"] .dropdown.menu > li.is-dropdown-submenu-parent > a::after {
    border-color: #6c79b8 transparent transparent;
    display:block;
    right: 5px;
}

[data-component^="survey"] .filter_my_calendars {
    border-spacing: 0;
}

[data-component^="survey"] .filter_my_calendars > li.filter_my_calendars_info {
    padding-left: 0.5rem;
}

[data-component^="survey"] .filter_my_calendars > li a {
    border: 2px solid #6c79b8 !important;
    padding: 0.5rem !important;
    padding-right: 1.4rem !important;
    color: #6c79b8;
    text-decoration: none;
    background-color: transparent;
}

[data-component^="survey"] .filter_my_calendars > li a img {
    height: 1.5rem;
}

[data-component^="survey"] .filter_my_calendars ul.submenu {
    width: 100%;
    border-top: none;
}

[data-component^="survey"] .filter_my_calendars li.is-submenu-item {
    margin: 0.5rem;
}

[data-component^="survey"] .filter_my_calendars li label {
    color: #304c6f !important;
    word-break: break-all;
    cursor: pointer;
}

[data-component^="survey"] .calendar-check {
    color: #304c6f !important;
    width: 20px
}

[data-component^="survey"] .participant_recovery_by_email {
    text-align: center;
}

[data-form="vote_create"] {
    width: auto;
    max-width: 60rem;
}



/* max-width 640px */
@media only screen and (max-width: 40em) {
    [data-component="survey-reply"] section.question-comment-container, span.select-for-all-label  {
        margin-left: 1rem;
    }
}